Index: contrib/crossrpms/rtems4.10/arm/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/arm/gdb-sources.add	(revision 17a806a3ab860464de6a71658aa4c0886470043e)
+++ contrib/crossrpms/rtems4.10/arm/gdb-sources.add	(revision bf0597efe49455688f67821589602a72939c7b1d)
@@ -1,2 +1,2 @@
 Source0: ftp://ftp.gnu.org/pub/gnu/gdb/gdb-%{gdb_version}.tar.bz2
-Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-6.8-rtems4.10-20081003.diff
+Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-6.8-rtems4.10-20090122.diff
Index: contrib/crossrpms/rtems4.10/avr/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/avr/gdb-sources.add	(revision 17a806a3ab860464de6a71658aa4c0886470043e)
+++ contrib/crossrpms/rtems4.10/avr/gdb-sources.add	(revision bf0597efe49455688f67821589602a72939c7b1d)
@@ -1,2 +1,2 @@
 Source0: ftp://ftp.gnu.org/pub/gnu/gdb/gdb-%{gdb_version}.tar.bz2
-Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-6.8-rtems4.10-20081003.diff
+Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-6.8-rtems4.10-20090122.diff
Index: contrib/crossrpms/rtems4.10/bfin/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/bfin/gdb-sources.add	(revision 17a806a3ab860464de6a71658aa4c0886470043e)
+++ contrib/crossrpms/rtems4.10/bfin/gdb-sources.add	(revision bf0597efe49455688f67821589602a72939c7b1d)
@@ -1,3 +1,3 @@
 Source0:	ftp://ftp.gnu.org/pub/gnu/gdb/gdb-%{gdb_version}.tar.bz2
 %{?_without_sources:NoSource:	0}
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-6.5-bfinrtems-20071114.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-6.5-bfinrtems-20090122.diff
Index: contrib/crossrpms/rtems4.10/h8300/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/h8300/gdb-sources.add	(revision 17a806a3ab860464de6a71658aa4c0886470043e)
+++ contrib/crossrpms/rtems4.10/h8300/gdb-sources.add	(revision bf0597efe49455688f67821589602a72939c7b1d)
@@ -1,2 +1,2 @@
 Source0: ftp://ftp.gnu.org/pub/gnu/gdb/gdb-%{gdb_version}.tar.bz2
-Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-6.8-rtems4.10-20081003.diff
+Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-6.8-rtems4.10-20090122.diff
Index: contrib/crossrpms/rtems4.10/i386/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/i386/gdb-sources.add	(revision 17a806a3ab860464de6a71658aa4c0886470043e)
+++ contrib/crossrpms/rtems4.10/i386/gdb-sources.add	(revision bf0597efe49455688f67821589602a72939c7b1d)
@@ -1,2 +1,2 @@
 Source0: ftp://ftp.gnu.org/pub/gnu/gdb/gdb-%{gdb_version}.tar.bz2
-Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-6.8-rtems4.10-20081003.diff
+Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-6.8-rtems4.10-20090122.diff
Index: contrib/crossrpms/rtems4.10/m32c/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/m32c/gdb-sources.add	(revision 17a806a3ab860464de6a71658aa4c0886470043e)
+++ contrib/crossrpms/rtems4.10/m32c/gdb-sources.add	(revision bf0597efe49455688f67821589602a72939c7b1d)
@@ -1,2 +1,2 @@
 Source0: ftp://ftp.gnu.org/pub/gnu/gdb/gdb-%{gdb_version}.tar.bz2
-Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-6.8-rtems4.10-20081217.diff
+Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-6.8-rtems4.10-20090122.diff
Index: contrib/crossrpms/rtems4.10/m32r/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/m32r/gdb-sources.add	(revision 17a806a3ab860464de6a71658aa4c0886470043e)
+++ contrib/crossrpms/rtems4.10/m32r/gdb-sources.add	(revision bf0597efe49455688f67821589602a72939c7b1d)
@@ -1,2 +1,2 @@
 Source0: ftp://ftp.gnu.org/pub/gnu/gdb/gdb-%{gdb_version}.tar.bz2
-Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-6.8-rtems4.10-20081003.diff
+Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-6.8-rtems4.10-20090122.diff
Index: contrib/crossrpms/rtems4.10/m68k/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/m68k/gdb-sources.add	(revision 17a806a3ab860464de6a71658aa4c0886470043e)
+++ contrib/crossrpms/rtems4.10/m68k/gdb-sources.add	(revision bf0597efe49455688f67821589602a72939c7b1d)
@@ -1,2 +1,2 @@
 Source0: ftp://ftp.gnu.org/pub/gnu/gdb/gdb-%{gdb_version}.tar.bz2
-Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-6.8-rtems4.10-20081003.diff
+Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-6.8-rtems4.10-20090122.diff
Index: contrib/crossrpms/rtems4.10/mips/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/mips/gdb-sources.add	(revision 17a806a3ab860464de6a71658aa4c0886470043e)
+++ contrib/crossrpms/rtems4.10/mips/gdb-sources.add	(revision bf0597efe49455688f67821589602a72939c7b1d)
@@ -1,2 +1,2 @@
 Source0: ftp://ftp.gnu.org/pub/gnu/gdb/gdb-%{gdb_version}.tar.bz2
-Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-6.8-rtems4.10-20081003.diff
+Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-6.8-rtems4.10-20090122.diff
Index: contrib/crossrpms/rtems4.10/mipstx39/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/mipstx39/gdb-sources.add	(revision 17a806a3ab860464de6a71658aa4c0886470043e)
+++ contrib/crossrpms/rtems4.10/mipstx39/gdb-sources.add	(revision bf0597efe49455688f67821589602a72939c7b1d)
@@ -2,4 +2,4 @@
 %{?_without_sources:NoSource:	0}
 %if "%{gdb_version}" == "6.8"
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-6.8-rtems4.10-20080917.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-6.8-rtems4.10-20090122.diff
 %endif
Index: contrib/crossrpms/rtems4.10/powerpc/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/powerpc/gdb-sources.add	(revision 17a806a3ab860464de6a71658aa4c0886470043e)
+++ contrib/crossrpms/rtems4.10/powerpc/gdb-sources.add	(revision bf0597efe49455688f67821589602a72939c7b1d)
@@ -1,2 +1,2 @@
 Source0: ftp://ftp.gnu.org/pub/gnu/gdb/gdb-%{gdb_version}.tar.bz2
-Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-6.8-rtems4.10-20081003.diff
+Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-6.8-rtems4.10-20090122.diff
Index: contrib/crossrpms/rtems4.10/sh/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/sh/gdb-sources.add	(revision 17a806a3ab860464de6a71658aa4c0886470043e)
+++ contrib/crossrpms/rtems4.10/sh/gdb-sources.add	(revision bf0597efe49455688f67821589602a72939c7b1d)
@@ -1,2 +1,2 @@
 Source0: ftp://ftp.gnu.org/pub/gnu/gdb/gdb-%{gdb_version}.tar.bz2
-Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-6.8-rtems4.10-20081003.diff
+Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-6.8-rtems4.10-20090122.diff
Index: contrib/crossrpms/rtems4.10/sparc/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/sparc/gdb-sources.add	(revision 17a806a3ab860464de6a71658aa4c0886470043e)
+++ contrib/crossrpms/rtems4.10/sparc/gdb-sources.add	(revision bf0597efe49455688f67821589602a72939c7b1d)
@@ -1,2 +1,2 @@
 Source0: ftp://ftp.gnu.org/pub/gnu/gdb/gdb-%{gdb_version}.tar.bz2
-Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-6.8-rtems4.10-20081003.diff
+Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-6.8-rtems4.10-20090122.diff
